PYTHON(1)

NOMBRE
python - lenguaje de programación orientado a objetos interactivo e interpretado

SINOPSIS
python [ -d ] [ -i ] [ -O ] [ -S ] [ -t ] [ -u ] [ -v ]
       [ -x ] [ -X ] [ -c orden | script | - ]
       [ argumentos ]

DESCRIPCIÓN
Python es un lenguaje de programación orientado a objetos interactivo e interpretado que combina una considerable potencia con una sintaxis muy clara. Vea la Guía de aprendizaje de Python para conseguir información del lenguaje de programación. La Referencia de Biblioteca de Python documenta los tipos, constantes, funciones y módulos internos y estándares. Finalmente, el Manual de Referencia de Python describe la sintaxis y semántica del núcleo del lenguaje en detalle (exhaustivo).

La potencia base de Python se puede extender con módulos escritos en C o C++. En la mayoría de los sistemas dichos módulos se pueden cargar dinámicamente. Python se puede adaptar también como lenguaje de extensión (macros) de aplicaciones existentes. Consulte la documentación interna del producto para obtener más información.

OPCIONES DE LÍNEA DE ÓRDENES

-d  Activar la salida de depuración del parser (sólo para genios, dependiente de opciones de compilación).

-i  Cuando se pasa un script como primer argumento o se utiliza la opción -c, entrar en el modo interactivo tras ejecutar el script u orden. No lee el archivo $PYTHONSTARTUP. Es útil para inspeccionar variables globales o una traza de la pila cuando un script hace saltar una excepción.

-O  Activar optimizaciones básicas. Hace que la extensión del fichero compilado (a bytecode) de .pyc a pyo.

-S  Evitar importar el módulo site y las manipulaciones dependientes de la instalación de sys.path que conlleva.

-t  Activar una alarma cuando un fichero fuente mezcla tabuladores y espacios para el sangrado de modo tal que lo haga depender del valor del tabulador en espacios. Activar un error si la opción se duplica.

-u  Forzar que los flujos de entrada, salida y errores estándares (stdin, stdout, stderr) no utilicen tampón (buffer).

-v  Mostrar un mensaje cada vez que se inicializa un módulo, mostrando el lugar (nombre de fichero o módulo interno) del que se carga.

-x  Saltarse la primera línea de código fuente. Sólo se utiliza para una trampa específica de DOS. Ojo: Los números de línea se desplazarán una unidad.

-X  Hacer que las excepciones estándar sean cadenas en lugar de clases. Se utiliza sólo por compatibilidad con código antiguo. -c orden Especifica la orden que hay que ejecutar (ver la siguiente sección). Esto finaliza la lista de opciones (las siguientes opciones se pasan como argumentos de la orden).

INTERFAZ DEL INTÉRPRETE
La interfaz del intérprete se parece a la de la shell de UNIX: Cuando se invoca con la entrada estándar conectada a un dispositivo tty, indica que espera órdenes y las ejecuta hasta que se lee un EOF. Cuando se invica con un argumento que es un nombre de fichero o con un fichero como entrada estándar, le y ejecuta un desde ese fichero. Cuando se le llama con -c orden, ejecuta la(s) sentencias dadas como orden. Aquí orden puede contener múltiples sentencias separadas por saltos de línea. ¡El espacio al principio es significativo en las sentencias Python! En modo no-interactivo, se analiza la entrada completa antes de ejecutarla.

Si está disponible, el nombre del script y los argumentos posteriores a éste se pasan al script en la variable Python sys.argv, que es una lista de cadenas (hay que hacer import sys para acceder a esta variable). Si no se da nombre de script, sys.argv está vacío. Si se utiliza -c sys.argv[0] contiene la cadena -c. Observe que las opciones interpretadas por el propio intérprete no se colocan en sys.argv.

En modo interactivo, el indicador primario es `>>>'; el indicador secundario (que aparece cuando una orden no está completa) es `...'. Se pueden cambiar los indicadores mediante asignación a sys.ps1 o a sys.ps2. El intérprete termina cuando lee un EOF (fin de fichero). Cuando ocurre una excepción no gestionadad, se presenta una traza de la pila y el control vuelve al indicador principal. En modo no interactivo, el intérprete termina tras presentar la traza de la pila. La señal de interrupción activa la excepción KeyboardInterrupt; no se capturan (excepto SIGPIPE, que se ignora a veces, a favor de una excepción IOError). Los mensajes de error se imprimen por stderr.

FICHEROS Y DIRECTORIOS
Éstos dependen de las convenciones de la instalación local:

/usr/local/bin/python
    Ubicación recomendada para el intérprete.

/usr/local/lib/python<version>
    Ubicación recomendada para el directorio que contiene los módulos estándar.

VARIABLES DE ENTORNO

PYTHONHOME
    Cambiar la ubiciación de las bibliotecas Python estándar. Por omisión, se buscan las bibliotecas en <prefix>/lib/python<version> y <exec_prefix>/lib/python<version>, en donde <prefix> y <exec_prefix> dependen de la instalación concreta (por omisión, /usr/local). Cuando el valor de $PYTHONHOME es un directorio sólamente, reemplaza a <prefix> y a <exec_prefix>. Para especificar valores diferentes para éstos, ponga $PYTHONHOME a <prefix>:<exec_prefix>.

PYTHONPATH
    se añade a la ruta de búsqueda de módulos inicial. El formato es el mismo que la variable $PATH de la shell: Uno o más directorio separados por el carácter dos puntos. Los directorios que no existen son omitidos en silencio. La ruta de úsqueda depende de la isntalación, pero por lo general empiezaq por <prefix>/lib/python<version> (ver PYTHONHOME arriba). La ruta de búsqueda por omisión siempre se añade a $PYTHONPATH. Si se da un script como argumento, el directorio que contiene el script se inserta en la ruta por delante de $PYTHONPATH. La ruta de búsqueda puede manipularse desde un programa Python, usando la variable sys.path.

PYTHONSTARTUP
    Si es el nombre de un fichero legible, se ejecutan las órdenes de Python de ese fichero antes de que aparezca el indicador en modo interactivo. Estos comandos se ejecutan en el mismo espacio nominal que los comandos, para que los objetos definidos o módulos importados se puedan usar sin necesidad de cualificarlos en la sesión interactiva. También se pueden cambiar los indicadores sys.ps1 y sys.ps2 mediante este fichero.

PYTHONDEBUG
    Si tiene un valor diferente de la cadena vacía equivale a especificar la opción -d.

PYTHONINSPECT
    Si tiene un valor diferente de la cadena vacía equivale a especificar la opción -i.

PYTHONUNBUFFERED
    Si tiene un valor diferente de la cadena vacía equivale a especificar la opción -u.

PYTHONVERBOSE
    Si tiene un valor diferente de la cadena vacía equivale a especificar la opción -v.

VÉASE TAMBIÉN
Guía de aprendizaje de Python
Referencia de las librerías de Python
Manual de referencia de Python

AUTOR
Guido van Rossum
CNRI
1895 Preston White Drive
Reston, VA 20191
EE UU

E-mail: guido@cnri.reston.va.us, guido@python.org

Y un elenco de miles de personas.

REFERENCIAS EN INTERNET
Página web principal: http://www.python.org
Servidor de FTP principal: ftp://ftp.python.org
Grupo de debate: comp.lang.python

COPYRIGHT
Copyright 1991-1995 por el Stichting Mathematisch Centrum, Amsterdam, Países Bajos.

    All Rights Reserved/Todos los derechos reservados

Por la presente se otorga el permiso para usar, copiar, modificar y distribuir este software y su documentación para cualquier intención y sin cargo, siempre que aparezca la nota de copyright superior en todas las copias y que tanto la nota de copyright y este permiso aparezcan en la documentación de apoyo y que no se utlizacen los nombres del Stichting Mathematisch Centrum, CWI o de la Corporation for National Research Initiatives o CNRI para publicidad relzativa a la distribución del software su permiso previo, por escrito y específico.

Aunque CWI es la fuente inicial de este software, se hace disponible una versión modificada en la Corporation for National Research Initiatives (CNRI) en la dirección de Internet ftp://ftp.python.org.

STICHTING MATHEMATISCH CENTRUM Y CNRI NIEGAN CUALQUIER GARANTÍA RESPECTO A ESTE SOFTWARE, INCLUIDA CUALQUIER GARANTÍA IMPLICITA DE COMERCIALIDAD O ADECUACIÓN. DE NINGÚN MODO SE HARÁN RESPONSABLES STICHTING MATHEMATISCH CENTRUM O CNRI POR CUALQUIER DAÑO ESPECIAL, INDIRECTO O SOBREVENIDO O DAÑO DE NINGÚN TIPO, QUE CAUSEN PÉRDIDA DE USO, DATOS O BENEFICIOS, TANTO POR ACCIONES POR CONTRATO, COMO POR NEGLIGENCIA U OTRA ACCIÓN ESPÚREA, CAUSADA POR O EN CONEXIÓN CON EL USO O CAPACIDADES DE ESTE SOFTWARE.